### Class

# GtkIconPaintable

#### Description [src]

    final class Gtk.IconPaintable : GObject.Object
      implements Gdk.Paintable, Gtk.SymbolicPaintable {
      /* No available fields */
    }

Contains information found when looking up an icon in `GtkIconTheme`.

`GtkIconPaintable` implements `GdkPaintable`.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GdkPaintable
- GtkSymbolicPaintable

#### Constructors

###### gtk_icon_paintable_new_for_file

Creates a `GtkIconPaintable` for a file with a given size and scale.

#### Instance methods

###### gtk_icon_paintable_get_file

Gets the `GFile` that was used to load the icon.

###### gtk_icon_paintable_get_icon_name

Get the icon name being used for this icon.

###### gtk_icon_paintable_is_symbolic

Checks if the icon is symbolic or not.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GdkPaintable (9)

###### gdk_paintable_compute_concrete_size

Compute a concrete size for the `GdkPaintable`.

###### gdk_paintable_get_current_image

Gets an immutable paintable for the current contents displayed by `paintable`.

###### gdk_paintable_get_flags

Get flags for the paintable.

###### gdk_paintable_get_intrinsic_aspect_ratio

Gets the preferred aspect ratio the `paintable` would like to be displayed at.

###### gdk_paintable_get_intrinsic_height

Gets the preferred height the `paintable` would like to be displayed at.

###### gdk_paintable_get_intrinsic_width

Gets the preferred width the `paintable` would like to be displayed at.

###### gdk_paintable_invalidate_contents

Called by implementations of `GdkPaintable` to invalidate their contents.

###### gdk_paintable_invalidate_size

Called by implementations of `GdkPaintable` to invalidate their size.

###### gdk_paintable_snapshot

Snapshots the given paintable with the given `width` and `height`.

##### Methods inherited from GtkSymbolicPaintable (1)

###### gtk_symbolic_paintable_snapshot_symbolic

Snapshots the paintable with the given colors.

since: 4.6

#### Properties

###### Gtk.IconPaintable:file

The file representing the icon, if any.

###### Gtk.IconPaintable:icon-name

The icon name that was chosen during lookup.

###### Gtk.IconPaintable:is-symbolic

Whether the icon is symbolic or not.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GdkPaintable (2)

###### GdkPaintable::invalidate-contents

Emitted when the contents of the `paintable` change.

###### GdkPaintable::invalidate-size

Emitted when the intrinsic size of the `paintable` changes.